\tikzstyle{every node}=[draw=black,thick,anchor=west]
\tikzstyle{selected}=[draw=red,fill=red!30]
\tikzstyle{optional}=[dashed,fill=gray!50]
\begin{tikzpicture}[
  grow via three points={
    one child at (0.5,-0.55) and two children at (0.5,-0.69) and (0.5,-1.7)
  },
  edge from parent path={(\tikzparentnode.south) |- (\tikzchildnode.west)}
]
\node {TestProjects}
  child { node {HelperClasses}}
  child { node {RootTestProject}}
  child { node {TestCasts}}
  child { node {TestConditions}
    child { node [selected] {TestConditions.csproj}}
    child { node            {TestIfConditions.cs}}
    child { node            {TestSwitchCases.cs}}
  }
  child [missing] {}
  child [missing] {}
  child [missing] {}
  child { node [optional] {TestProjects.dart}}
  child { node [selected] {TestProjects.sln}}
  child { node [optional] {pubspec.yaml}};
\end{tikzpicture}
